Next: DSHIFTL, Previous: DPROD, Up: Intrinsic Procedures [Contents][Index]

### 8.68 `DREAL` — Double real part function

Description:

  `DREAL(Z)` returns the real part of complex variable Z.

Standard:

  GNU extension

Class:

  Elemental function

Syntax:

  `RESULT = DREAL(A)`

Arguments:

  A | The type shall be `COMPLEX(8)`.

Return value:

  The return value is of type `REAL(8)`.

Example:

      program test_dreal
          complex(8) :: z = (1.3_8,7.2_8)
          print *, dreal(z)
      end program test_dreal

See also:

  AIMAG